<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:visibility="visible"
    app:layout_behavior="@string/appbar_scrolling_view_behavior">

    <LinearLayout
        android:id="@+id/left"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:weightSum="2"
        app:layout_constraintEnd_toStartOf="@+id/right"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:id="@+id/viewNames"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <EditText
                android:id="@+id/nameTeamA"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:autofillHints=""
                android:gravity="center"
                android:imeOptions="actionDone"
                android:inputType="text"
                android:selectAllOnFocus="true"
                android:singleLine="true"
                android:text="@string/team_a"
                android:textAppearance="@style/TextAppearance.AppCompat.Large" />

            <EditText
                android:id="@+id/nameTeamB"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:autofillHints=""
                android:gravity="center"
                android:imeOptions="actionDone"
                android:inputType="text"
                android:selectAllOnFocus="true"
                android:singleLine="true"
                android:text="@string/team_b"
                android:textAppearance="@style/TextAppearance.AppCompat.Large" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/viewScore"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/scoreA"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="0"
                android:textAppearance="@style/TextAppearance.AppCompat.Body1"
                android:textSize="18sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/scoreB"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="0"
                android:textAppearance="@style/TextAppearance.AppCompat.Body1"
                android:textSize="18sp"
                android:textStyle="bold" />

        </LinearLayout>

        <ScrollView
            android:id="@+id/scrollViewHistory"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="16dp"
            android:clickable="false">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/historyA"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.2"
                    android:gravity="center" />

                <TextView
                    android:id="@+id/historyB"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.2"
                    android:gravity="center" />

            </LinearLayout>
        </ScrollView>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/right"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:gravity="bottom"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/left">

        <LinearLayout
            android:id="@+id/viewInput"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <EditText
                android:id="@+id/inputTeamA"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:ems="10"
                android:gravity="center"
                android:hint="0"
                android:importantForAutofill="no"
                android:inputType="numberSigned" />

            <EditText
                android:id="@+id/inputTeamB"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:ems="10"
                android:gravity="center"
                android:hint="0"
                android:importantForAutofill="no"
                android:inputType="numberSigned" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ButtonRow1"
            style="?android:attr/buttonBarStyle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <Button
                android:id="@+id/button1"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="1" />

            <Button
                android:id="@+id/button2"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="2" />

            <Button
                android:id="@+id/button3"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="3" />

            <Button
                android:id="@+id/buttonAdd100"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="+100" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ButtonRow2"
            style="?android:attr/buttonBarStyle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <Button
                android:id="@+id/button4"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="4" />

            <Button
                android:id="@+id/button5"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="5" />

            <Button
                android:id="@+id/button6"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="6" />

            <Button
                android:id="@+id/buttonSub100"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="-100" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ButtonRow3"
            style="?android:attr/buttonBarStyle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <Button
                android:id="@+id/button7"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="7" />

            <Button
                android:id="@+id/button8"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="8" />

            <Button
                android:id="@+id/button9"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="9" />

            <ImageButton
                android:id="@+id/buttonBack"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:cropToPadding="false"
                android:paddingTop="15dp"
                android:paddingBottom="15dp"
                android:scaleType="fitCenter"
                app:srcCompat="@drawable/back"
                android:contentDescription="TODO" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ButtonRow4"
            style="?android:attr/buttonBarStyle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <Button
                android:id="@+id/buttonInv"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.0"
                android:text="+/-" />

            <Button
                android:id="@+id/button0"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.0"
                android:text="0" />

            <Space
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.0" />

            <ImageButton
                android:id="@+id/submit"
                style='style="?android:attr/buttonBarButtonStyle'
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1.0"
                android:scaleType="fitCenter"
                app:srcCompat="@drawable/checkmark"
                android:contentDescription="TODO" />
        </LinearLayout>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>